MPD: command/OtherCommands.hxx File Reference

MPD 0.20.15

Functions
OtherCommands.hxx File Reference
`#include "CommandResult.hxx"`
Include dependency graph for OtherCommands.hxx:

Go to the source code of this file.

## Functions
CommandResult | handle_urlhandlers (Client &client, Request request, Response &response)
CommandResult | handle_decoders (Client &client, Request request, Response &response)
CommandResult | handle_tagtypes (Client &client, Request request, Response &response)
CommandResult | handle_kill (Client &client, Request request, Response &response)
CommandResult | handle_close (Client &client, Request request, Response &response)
CommandResult | handle_listfiles (Client &client, Request request, Response &response)
CommandResult | handle_lsinfo (Client &client, Request request, Response &response)
CommandResult | handle_update (Client &client, Request request, Response &response)
CommandResult | handle_rescan (Client &client, Request request, Response &response)
CommandResult | handle_setvol (Client &client, Request request, Response &response)
CommandResult | handle_volume (Client &client, Request request, Response &response)
CommandResult | handle_stats (Client &client, Request request, Response &response)
CommandResult | handle_ping (Client &client, Request request, Response &response)
CommandResult | handle_password (Client &client, Request request, Response &response)
CommandResult | handle_config (Client &client, Request request, Response &response)
CommandResult | handle_idle (Client &client, Request request, Response &response)

## Function Documentation

## ◆ handle_close()

CommandResult handle_close | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_config()

CommandResult handle_config | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_decoders()

CommandResult handle_decoders | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_idle()

CommandResult handle_idle | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_kill()

CommandResult handle_kill | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_listfiles()

CommandResult handle_listfiles | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_lsinfo()

CommandResult handle_lsinfo | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_password()

CommandResult handle_password | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_ping()

CommandResult handle_ping | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_rescan()

CommandResult handle_rescan | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_setvol()

CommandResult handle_setvol | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_stats()

CommandResult handle_stats | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_tagtypes()

CommandResult handle_tagtypes | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_update()

CommandResult handle_update | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_urlhandlers()

CommandResult handle_urlhandlers | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_volume()

CommandResult handle_volume | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |